# QVM: Quaternions, Vectors, Matrices

### translation_mat

#include <boost/qvm/map_vec_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_vec<A>::value
            template <iclass A>
            -unspecified-return-type- translation_mat( A & a );
        }
    }

The expression translation_mat(v) returns a view proxy that accesses the vector v as translation matrix of size v's dimension plus one.

See also: boost/qvm/map_vec_mat.hpp